--******************************************************************************************************************************
--* Licensed Materials - Property of IBM                                                                                       *
--* (c) Copyright IBM Corp. 2008, 2009 All Rights Reserved.                                                                    *
--*                                                                                                                            *
--*US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp*
--******************************************************************************************************************************

USE [$(DBNAME)]
GO

IF NOT EXISTS (SELECT NAME FROM sys.server_principals WHERE type_desc ='WINDOWS_LOGIN' AND LOWER(NAME)=LOWER('$(COMPUTER)\$(REP_USER)'))
CREATE LOGIN [$(COMPUTER)\$(REP_USER)] FROM WINDOWS WITH DEFAULT_DATABASE=[$(DBNAME)], DEFAULT_LANGUAGE=[us_english]
GO

CREATE USER [$(REP_USER)] FOR LOGIN [$(COMPUTER)\$(REP_USER)]
GO

ALTER LOGIN [$(COMPUTER)\$(REP_USER)] WITH DEFAULT_DATABASE=[$(DBNAME)], DEFAULT_LANGUAGE=[us_english]

GO